package dao

import (
	"context"

	"git.tek.govt.hu/dowerx/chat/server/model"
	"git.tek.govt.hu/dowerx/chat/server/util"
)

type INotification interface {
	SendMessage(ctx context.Context, message model.Message) *util.ChatError
	SubscribeToChannel(ctx context.Context, id int) (<-chan model.Message, func(), *util.ChatError)
}
